------------------------------------------------------------------------------------------
-- create or load the settings
------------------------------------------------------------------------------------------
function LoadSettings()
	settings = PatchDataLoad(Turbine.DataScope.Character, "Fisherman_Settings", settings);

	if ( type( settings ) ~= "table" ) then
		settings = { };
	end
	
	if ( not settings.positionX) then		
		settings.positionX = ( Turbine.UI.Display:GetWidth()/2 - 200);		
	end
	
	if ( not settings.positionY) then	
		settings.positionY = ( Turbine.UI.Display.GetHeight()/2 - 200);
	end	
	
	if ( not settings.shortcutData_1) then	
		settings.shortcutData_1 = tostring("");
	end	
	
	if ( not settings.shortcutType_1) then	
		settings.shortcutType_1 = 9;
	end
	
	if ( not settings.shortcutData_2) then	
		settings.shortcutData_2 = tostring("");
	end	
	
	if ( not settings.shortcutType_2) then	
		settings.shortcutType_2 = 2;
	end
		
	if ( not settings.minimizeX) then	
		settings.minimizeX = 1918;
	end

	if ( not settings.minimizeY) then	
		settings.minimizeY = 1249;
	end
	
	if ( not settings.isMinimizeEnabled) then	
		settings.isMinimizeEnabled = true;
	end

	if ( not settings.isWindowVisible) then	
		settings.isWindowVisible = tostring("true");
	end
	
	if ( not settings.primaryWeapon) then	
		settings.primaryWeapon = tostring("");
	end
	
	if ( not settings.secondaryWeapon) then	
		settings.secondaryWeapon = tostring("");
	end
	
	if ( not settings.isFishRodEquiped) then	
		settings.isFishRodEquiped = tostring("false");
	end
end
------------------------------------------------------------------------------------------
-- create the save settings
------------------------------------------------------------------------------------------
function SaveSettings()
	settings.positionX = tostring(settings.positionX);
   	settings.positionY = tostring(settings.positionY);
	settings.minimizeX = tostring(settings.minimizeX);
   	settings.minimizeY = tostring(settings.minimizeY);
	settings.isWindowVisible = tostring(settings.isWindowVisible);
	settings.shortcutData_1 = tostring(settings.shortcutData_1);
   	settings.shortcutData_2 = tostring(settings.shortcutData_2);
   	settings.primaryWeapon = tostring(settings.primaryWeapon);
   	settings.secondaryWeapon = tostring(settings.secondaryWeapon);
   	settings.isFishRodEquiped = tostring(settings.isFishRodEquiped);
   		
   -- save the settings
	PatchDataSave( Turbine.DataScope.Character, "Fisherman_Settings", settings);
end