 import "Turbine.UI"; 
 import "Turbine.UI.Extensions"; 
 import "Turbine.UI.Lotro"; 
 import "Turbine.Gameplay"; 

 import "Homeopatix.Fisherman.Globals"
 import "Homeopatix.Fisherman.MinimizedIcon"
 import "Homeopatix.Fisherman.VindarPatch"
 import "Homeopatix.Fisherman.Commands"
 import "Homeopatix.Fisherman.LoadAndSave"
 import "Homeopatix.Fisherman.MainWindow"
 import "Homeopatix.Fisherman.FCT"

Turbine.Shell.WriteLine("<rgb=#CC56DA>Fisherman</rgb> <rgb=#DDDDDD>".. plugin:GetVersion() .." par Homeo</rgb>")

CreateLocalizationInfo();
LoadSettings();

------------------------------------------------------------------------------------------
-- create the main window
------------------------------------------------------------------------------------------
CreatMainWindow();

------------------------------------------------------------------------------------------
-- setting the shortcuts
------------------------------------------------------------------------------------------
CreateTheShortCuts();

------------------------------------------------------------------------------------------
-- mouse enter handler
------------------------------------------------------------------------------------------
SetMouseEnter();

------------------------------------------------------------------------------------------
-- mouse click handler
------------------------------------------------------------------------------------------
MousClickHAndler();

------------------------------------------------------------------------------------------
-- setting the shortcuts for drag and drop
------------------------------------------------------------------------------------------
SetDragAndDrop();

------------------------------------------------------------------------------------------
-- delete the shortcut with mouse wheel
------------------------------------------------------------------------------------------
DeleteShortCuts();

------------------------------------------------------------------------------------------
-- Closing window handler
------------------------------------------------------------------------------------------
ClosingWindow();

------------------------------------------------------------------------------------------
-- handle minimizeIcon
------------------------------------------------------------------------------------------
if(settings.isWindowVisible == "true") then
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, FishermanWindow:SetVisible(true));
else
	MainMinimizedIcon = MinimizedIcon(Images.MinimizedIcon, 32, 32, FishermanWindow:SetVisible(false));
end
MainMinimizedIcon:SetPosition(settings.minimizeX, settings.minimizeY);
MainMinimizedIcon:SetZOrder(0);

MainMinimizedIcon.PositionChanged = function()
	settings.minimizeX = MainMinimizedIcon:GetLeft();
	settings.minimizeY = MainMinimizedIcon:GetTop();
	SaveSettings();
end

------------------------------------------------------------------------------------------
-- event handling
------------------------------------------------------------------------------------------
FishermanWindow.KeyDown=function(sender, args)
	if ( args.Action == Turbine.UI.Lotro.Action.Escape ) then
		FishermanWindow:SetVisible(false);
		settings.isWindowVisible = false;
		SaveSettings();
	end
	
	-- https://www.lotro.com/forums/showthread.php?493466-How-to-hide-a-window-on-F12&p=6581962#post6581962
	if ( args.Action == 268435635 ) then
		hudVisible=not hudVisible;
		if hudVisible then
			FishermanWindow:SetVisible(false);
			MainMinimizedIcon:SetVisible(false);
		else
			FishermanWindow:SetVisible(settings.isWindowVisible);
			MainMinimizedIcon:SetVisible(true);
		end
	end
end
------------------------------------------------------------------------------------------
-- if the position changes, save the new window location
------------------------------------------------------------------------------------------
FishermanWindow.PositionChanged = function( sender, args )
    local x,y = FishermanWindow:GetPosition();
    settings.positionX = x;
    settings.positionY = y;
	SaveSettings();
end